Public Member Functions

# wxMoveEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxMoveEvent:
[legend]

## Detailed Description

A move event holds information about wxTopLevelWindow move change events.

These events are currently only generated by wxMSW port.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxMoveEvent& event)

Event macros:

- EVT_MOVE(func):
  Process a `wxEVT_MOVE` event, which is generated when a window is moved.
- EVT_MOVE_START(func):
  Process a `wxEVT_MOVE_START` event, which is generated when the user starts to move or size a window. wxMSW only.
- EVT_MOVE_END(func):
  Process a `wxEVT_MOVE_END` event, which is generated when the user stops moving or sizing a window. wxMSW only.

##

Library: wxCore
Category: Events

See also:
  wxPoint, Events and Event Handling

## Public Member Functions
| wxMoveEvent (const wxPoint &pt, int id=0)
| Constructor.
wxPoint | GetPosition () const
| Returns the position of the window generating the move change event.
wxRect | GetRect () const
void | SetRect (const wxRect &rect)
void | SetPosition (const wxPoint &pos)

List of all members.

## Constructor & Destructor Documentation

wxMoveEvent::wxMoveEvent | ( | const wxPoint & | pt,
|  | int | id = `0` |
| ) |  |  |

Constructor.

## Member Function Documentation

wxPoint wxMoveEvent::GetPosition | ( |  | ) | const

Returns the position of the window generating the move change event.

wxRect wxMoveEvent::GetRect | ( |  | ) | const

void wxMoveEvent::SetPosition | ( | const wxPoint & | pos | ) |

void wxMoveEvent::SetRect | ( | const wxRect & | rect | ) |

|  | [ top ]